OGRE: Ogre::D3D9HardwareBufferManagerBase Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9HardwareBufferManagerBase Class Reference

Implementation of HardwareBufferManager for D3D9. More...

`#include <OgreD3D9HardwareBufferManager.h>`

Inheritance diagram for Ogre::D3D9HardwareBufferManagerBase:
[legend]

## Public Member Functions
| D3D9HardwareBufferManagerBase ()
| ~D3D9HardwareBufferManagerBase ()
HardwareCounterBufferSharedPtr | createCounterBuffer (size_t sizeBytes, HardwareBuffer::Usage usage=HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, bool useShadowBuffer=false, const String &name="")
HardwareIndexBufferSharedPtr | createIndexBuffer (HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Create a hardware vertex buffer. More...
RenderToVertexBufferSharedPtr | createRenderToVertexBuffer ()
| Create a render to vertex buffer. More...
HardwareUniformBufferSharedPtr | createUniformBuffer (size_t sizeBytes, HardwareBuffer::Usage usage, bool useShadowBuffer, const String &name="")
HardwareVertexBufferSharedPtr | createVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false)
| Creates a vertex buffer. More...

## Detailed Description

Implementation of HardwareBufferManager for D3D9.

## Constructor & Destructor Documentation

## ◆ D3D9HardwareBufferManagerBase()

Ogre::D3D9HardwareBufferManagerBase::D3D9HardwareBufferManagerBase | ( |  | ) |

## ◆ ~D3D9HardwareBufferManagerBase()

Ogre::D3D9HardwareBufferManagerBase::~D3D9HardwareBufferManagerBase | ( |  | ) |

## Member Function Documentation

## ◆ createCounterBuffer()

HardwareCounterBufferSharedPtr Ogre::D3D9HardwareBufferManagerBase::createCounterBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage = `HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE`,
|  | bool | useShadowBuffer = `false`,
|  | const String & | name = `""`
| ) |  |

## ◆ createIndexBuffer()

HardwareIndexBufferSharedPtr Ogre::D3D9HardwareBufferManagerBase::createIndexBuffer | ( | HardwareIndexBuffer::IndexType | itype,
|  | size_t | numIndexes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = `false`
| ) |  |

Create a hardware vertex buffer.

## ◆ createRenderToVertexBuffer()

RenderToVertexBufferSharedPtr Ogre::D3D9HardwareBufferManagerBase::createRenderToVertexBuffer | ( |  | ) |

Create a render to vertex buffer.

## ◆ createUniformBuffer()

HardwareUniformBufferSharedPtr Ogre::D3D9HardwareBufferManagerBase::createUniformBuffer | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | const String & | name = `""`
| ) |  |

## ◆ createVertexBuffer()

HardwareVertexBufferSharedPtr Ogre::D3D9HardwareBufferManagerBase::createVertexBuffer | ( | size_t | vertexSize,
|  | size_t | numVerts,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer = `false`
| ) |  |

Creates a vertex buffer.

The documentation for this class was generated from the following file:

- OgreD3D9HardwareBufferManager.h